Package org.eclipse.mat.parser.internal.oql.compiler

# Class Attribute

java.lang.Object
org.eclipse.mat.parser.internal.oql.compiler.Attribute

public class Attribute extends Object

## Constructor Summary

Constructors
Constructor
Description
`Attribute(String name, boolean isNative, boolean isEnvVar)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`boolean`
`isEnvVar()`
`boolean`
`isNative()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Attribute

public Attribute(String name, boolean isNative, boolean isEnvVar)

## Method Details

### getName

public String getName()

### isNative

public boolean isNative()

### isEnvVar

public boolean isEnvVar()

### toString

public String toString()

Overrides:
  `toString` in class `Object`